package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 交易类型 (RECHARGE 充值,WITHDRAW 提现,PAY_FEE 缴费,REFUNDS 退费,FILL_ACCOUNT 人工补账)
 */
public enum PlatformCashAccountDetailTypeEnum implements BaseEnum<String, PlatformCashAccountDetailTypeEnum> {
	RECHARGE("RECHARGE", "充值"),
	WITHDRAW("WITHDRAW", "提现"),
	PAY_FEE("PAY_FEE", "缴费"),
	SPORADIC("SPORADIC", "零星收费"),
	FILL_ACCOUNT("FILL_ACCOUNT", "人工补账"),
	REFUNDS("REFUNDS", "退费"),
	REWARDS("REWARDS", "奖励"),
	GOODS_SELL("GOODS_SELL", "商品销售"),
	WAGE("WAGE", "工资");

	private String code;

	private String msg;

	PlatformCashAccountDetailTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
